.password-form {
    display: flex;
    flex-direction: column;
}

.input-wrapper {
    position: relative;
    width: intrinsic;       
    width: -moz-max-content;   
    width: -webkit-max-content;
}

.input-wrapper input {
    min-width: 120px;
    padding: 10px;
    margin-bottom: 24px;
}

.input-wrapper i {
    position: absolute;
    right: 10px;
    top: 12px;
    color: grey;
}

.btn{
    width: 150px;
}